ServerEvents.recipes(event => {
    event.remove({ id: 'apotheotic_additions:artifacts/everlasting_beef' })
    event.remove({ id: 'rftoolsbuilder:shape_card_quarry' })
    event.remove({ id: 'rftoolsbuilder:shape_card_void' })
    event.remove({ id: 'rftoolsbase:machine_infuser' })
    event.remove({ output: 'buildinggadgets2:gadget_destruction'})
    event.remove({ output: 'buildinggadgets2:gadget_cut_paste'})
    event.remove({ output: 'rftoolsbuilder:builder'})
    event.remove({ output: 'gobber2:gobber2_ring_acceleration' })
    event.remove({ output: 'gobber2:gobber2_ring_traveler' })
    event.remove({ output: 'gobber2:gobber2_ring_leaping' })
    event.remove({ output: 'gobber2:sword_traveler' })
    event.remove({ output: 'mekanism:portable_teleporter' })
    event.remove({ output: 'mekanism:digital_miner' })
    event.remove({ output: 'tacz:gun_smith_table' })
    event.remove({ output: 'gobber2:gobber2_medallion_exp' })
    event.remove({ output: 'securitycraft:codebreaker' })
    event.shapeless(
      Item.of('bbq_minecraft:bbqpowder', 2),
      [
        '#forge:hammers',
        'bbq_minecraft:bbq_ingot'      
      ]
    )
    event.shapeless(
      Item.of('bbq_minecraft:amethysteel_dust', 1),
      [
        '#forge:hammers',
        'bbq_minecraft:amethysteel'
      ]
    )
    event.smelting('1x silentgear:crimson_steel_dust', 'silentgear:crimson_steel_ingot')
    event.smelting('1x bbq_minecraft:amethysteel_dust', 'bbq_minecraft:amethysteel')
    event.shaped(
      Item.of('gobber2:gobber2_medallion_exp', 1),
      [
        'EAE',
        'ABA',
        'EAE'
      ],
      {
        A: 'minecraft:experience_bottle',
        B: 'gobber2:gobber2_medallion_nether',
        E: 'bbq_minecraft:bbq_ingot'
      }
    )
    event.shaped(
  Item.of('rftoolsbuilder:builder', 1),
  [
    'BDB',
    'IAF',
    'BEB'
  ],
  {
    A: 'rftoolsbase:machine_frame',
    B: 'minecraft:bricks',
    D: 'gobber2:gobber2_hammer',
    E: 'gobber2:gobber2_paxel',
    F: 'gobber2:gobber2_shovel',
    I: 'gobber2:gobber2_axe'
  }
)
event.shaped(
  Item.of('rftoolsbase:machine_infuser', 1),
  [
    'BDB',
    'EAE',
    'BDB'
  ],
  {
    A: 'rftoolsbase:machine_frame',
    B: 'rftoolsbase:dimensionalshard',
    D: 'minecraft:redstone',
    E: 'bbq_minecraft:amethysteel_block'
  }
)
    event.shaped(
  Item.of('tacz:gun_smith_table', 1),
  [
    'AAA',
    'DBD',
    'D D'
  ],
  {
    A: '#minecraft:logs',
    B: 'minecraft:netherite_block',
    D: 'minecraft:iron_ingot'
  }
)
    event.shaped(
  Item.of('rftoolsbuilder:shape_card_quarry', 1),
  [
    'DCD',
    'BAB',
    'DED'
  ],
  {
    A: 'rftoolsbuilder:shape_card_def',
    B: 'minecraft:iron_ingot',
    C: 'bbq_minecraft:destruction_pickaxe',
    D: 'bbq_minecraft:destruction_essence',
    E: 'bbq_minecraft:destruction_gem'
  }
)
event.shaped(
  Item.of('rftoolsbuilder:shape_card_void', 1),
  [
    'EBE',
    'BAB',
    'EBE'
  ],
  {
    A: 'rftoolsbuilder:shape_card_def',
    B: 'minecraft:obsidian',
    E: 'bbq_minecraft:destruction_gem'
  }
)

    event.shaped(
  Item.of('buildinggadgets2:gadget_destruction', 1),
  [
    'EAE',
    'BDB',
    'ECE'
  ],
  {
    A: 'minecraft:redstone',
    B: 'minecraft:iron_ingot',
    C: 'bbq_minecraft:destruction_pickaxe',
    D: 'minecraft:ender_pearl',
    E: 'bbq_minecraft:destruction_gem'
  }
)
    event.shaped(
  Item.of('buildinggadgets2:gadget_cut_paste', 1),
  [
    'BAB',
    'CED',
    'BAB'
  ],
  {
    A: 'minecraft:redstone',
    B: 'minecraft:iron_ingot',
    C: 'bbq_minecraft:destruction_pickaxe',
    D: 'constructionwand:diamond_wand',
    E: 'minecraft:lapis_lazuli'
  }
)
    event.shaped(
  Item.of('mekanism:portable_teleporter', 1),
  [
    'CBC',
    'DAD',
    'CBC'
  ],
  {
    A: 'mekanism:teleportation_core',
    B: 'mekanism:energy_tablet',
    C: 'mekanism:pellet_polonium',
    D: 'mekanism:ultimate_control_circuit'
  }
)
    event.shaped(
  Item.of('bbq_minecraft:destruction_pickaxe', 1),
  [
    'AAA',
    ' B ',
    ' B '
  ],
  {
    A: 'bbq_minecraft:destruction_gem',
    B: 'born_in_chaos_v1:dark_rod',
  }
)
  event.recipes.create.mixing('bbq_minecraft:destruction_gem', [Item.of('theabyss:glacerythe_gem', 3), [Item.of('bbq_minecraft:destruction_essence', 2)], 'mekanism:pellet_polonium', 3]).superheated()

  event.recipes.create.mixing('bbq_minecraft:destruction_gem', [Item.of('theabyss:glacerythe_gem', 3), [Item.of('bbq_minecraft:destruction_essence', 2)], [Item.of('bbq_minecraft:bbq_essence', 4)]]).superheated()

//waystones nerf

    event.remove({ mod: 'waystones' })

//get fucked digital miner users lmaoooo

  event.recipes.create.mechanical_crafting('mekanism:digital_miner', [
    'KNKKKNK',
    'KHFFFHK',
    'MIEBEIM',
    'KDCACDK',
    'KLKGKLK',
    ' J   J '
  ], {
    A: 'computercraft:turtle_advanced',
    B: 'rftoolsbuilder:builder',
    C: 'mekanism:quantum_entangloporter',
    D: 'mekanism:logistical_sorter',
    E: 'computercraft:monitor_advanced',
    F: 'immersiveengineering:capacitor_hv',
    G: 'bbq_minecraft:destruction_essence',
    H: 'immersiveengineering:transformer_hv',
    I: 'immersiveengineering:coil_hv',
    J: 'mekanism:seismic_vibrator',
    K: 'mekanism:steel_casing',
    L: 'mekanism:block_steel',
    M: 'mekanism:ultimate_universal_cable',
    N: 'mekanism:alloy_atomic'
  })

// coins convert up

    event.shaped(
  Item.of('dotcoinmod:gold_coin', 1),
  [
    'AAA',
    'AAA',
    'AAA'
  ],
  {
    A: 'dotcoinmod:silver_coin'
  }
)

    event.shaped(
  Item.of('dotcoinmod:emerald_coin', 1),
  [
    'AAA',
    'AAA',
    'AAA'
  ],
  {
    A: 'dotcoinmod:gold_coin'
  }
)


    event.shaped(
  Item.of('dotcoinmod:diamond_coin', 1),
  [
    'AAA',
    'AAA',
    'AAA'
  ],
  {
    A: 'dotcoinmod:emerald_coin'
  }
)

    event.shaped(
  Item.of('dotcoinmod:ruby_coin', 1),
  [
    'AAA',
    'AAA',
    'AAA'
  ],
  {
    A: 'dotcoinmod:diamond_coin'
  }
)

// go fuck yourself

event.shapeless(
  Item.of('dotcoinmod:diamond_coin', 9),
  [
    '1x dotcoinmod:ruby_coin'
  ]
)

event.shapeless(
  Item.of('dotcoinmod:emerald_coin', 9),
  [
    '1x dotcoinmod:diamond_coin'
  ]
)

event.shapeless(
  Item.of('dotcoinmod:gold_coin', 9),
  [
    '1x dotcoinmod:emerald_coin'
  ]
)

event.shapeless(
  Item.of('dotcoinmod:silver_coin', 9),
  [
    '1x dotcoinmod:gold_coin'
  ]
)

})
